<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php'); 

?>

<div class="table-responsive">
    <div id="resultados1"></div>
    <table class="table table-striped table-bordered">
        <thead>
            <tr>
                <th>NOMBRE</th>
                <th>ESTADO</th>
                <th></th>
            </tr>
        </thead>
        <tbody  class="buscar">
    <?php
    $regi=mysqli_query($con,"SELECT * from zhop_reserva_usuario where sucursal='$sucursal' and empresa='$empresa' group by usuario_usu_id ") or die(mysqli_error($con));
           while($rol=mysqli_fetch_array($regi)) 
    {
            $res_usu_id=$rol['res_usu_id'];
            $usuario_usu_id=$rol['usuario_usu_id'];
            $res_usu_estado=$rol['res_usu_estado'];

            $dato=mysqli_query($con,"SELECT * from usuario where usu_id='$usuario_usu_id' and sucursal='$sucursal' and empresa_emp_id='$empresa'  ") or die(mysqli_error($con));
            $dat=mysqli_fetch_array($dato);

            $nombre=$dat['usu_nombre'];
    ?>
        <tr>
            <td><?php echo $nombre; ?></td>
            <td>
                <input type="hidden" value="<?php echo $res_usu_estado;?>" id="estado<?php echo $usuario_usu_id;?>">

                <?php
                
                if($res_usu_estado=="activo")
                    {
                    echo $estados='<a href="#" onclick="estado('.$usuario_usu_id.')"> <span class="badgeazul" title="Desactivar">Activo</span></a>';
                    }
                    else  
                    {
                    echo $estados='<a href="#" onclick="estado('.$usuario_usu_id.')"> <span class="badgenaranja" title="Activar"> Desactivo</span></a>';
                    }
                ?>
            </td>
            <td>
                <?php if ($res_usu_estado=='activo') { ?>
                <a href="#" data-toggle="modal" data-id="<?php echo $usuario_usu_id;?>"  title="Editar Horarios" class="btn btn-horausu btn-xs btn-info"><i class="btn-icon-only icon-edit"></i></a>  
                <?php } ?>
                <a href="#" onclick="eliminar('<?php echo $usuario_usu_id;?>')"  title="Eliminar" class="btn btn-xs btn-danger"> <i class="btn-icon-only icon-remove"></i></a>            
                
            </td>
        </tr>        
<?php } ?>
    </table>
</div>


<script>
    $(".btn-horausu").click(function(){
        id = $(this).data("id");
        $.get("./php_pagina_online/form_horas_usuario.php","id="+id,function(data){
            $("#form-usu_hora").html(data);
        });
        $('#usu_horas').modal('show');
    });
</script>
<div class="modal fade" id="usu_horas" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">HORARIOS</h4>
            </div>
            <div class="modal-body">
                <div id="form-usu_hora"></div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->



<script>
function estado(usuario_usu_id)
{ 
    $.ajax
    ({
        type: "POST",
        url: "php_pagina_online/actualizar_estado_usuario.php",
        data: "usuario_usu_id="+usuario_usu_id,
        success: function(datos){
    $("#resultados").html(datos);
    loadTablausu();
    }
    });
} 

function eliminar (usuario_usu_id)
{
    if (confirm("Realmente deseas eliminar la usuario")){ 
    $.ajax({
        type: "GET",
        url: "php_pagina_online/eliminar_usuarios_reserva.php",
        data: "usuario_usu_id="+usuario_usu_id,
        beforeSend: function(objeto){
            $('#resultados1').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
        success: function(datos){
        $("#resultados1").html(datos);
        loadTablausu();
        }
        });
    }
} 

</script>